// import pick from 'lodash.pick'
import { setStationCode, getStationCode } from '@/views/util'

export const SetStation = {
  mounted() {
    this.setStations()
  },
  methods: {
    setStations() {
      let stationNo = getStationCode()
      console.log(stationNo, 'stationNostationNostationNostationNo')
      if (Object.keys(stationNo).length > 0) {
        if (this.$vnode.tag.indexOf('executionTask') !== -1) {
          this.$refs.formTarget.form.setFieldsValue({ stationNo })
        }
        if(this.$vnode.tag.indexOf('sow') !== -1) {
          this.stationNo = stationNo
        }
      }
    }
  }
}
